gr::dab::qpsk_mapper_vbc Class Reference

<+description of block+> More...

`#include <qpsk_mapper_vbc.h>`

Inheritance diagram for gr::dab::qpsk_mapper_vbc:
[legend]

## Public Types

typedef std::shared_ptr< qpsk_mapper_vbc > | sptr

## Static Public Member Functions

static sptr | make (int symbol_length)
| Return a shared_ptr to a new instance of dab::qpsk_mapper_vbc.

## Detailed Description

<+description of block+>

## Member Typedef Documentation

## sptr

typedef std::shared_ptr<qpsk_mapper_vbc> gr::dab::qpsk_mapper_vbc::sptr

## Member Function Documentation

## make()

sptr gr::dab::qpsk_mapper_vbc::make | ( | int | symbol_length | ) |

static

Return a shared_ptr to a new instance of dab::qpsk_mapper_vbc.

To avoid accidental use of raw pointers, dab::qpsk_mapper_vbc's constructor is in a private implementation class. dab::qpsk_mapper_vbc::make is the public interface for creating new instances.

The documentation for this class was generated from the following file:

- qpsk_mapper_vbc.h